Summary:	Package maintenance system for Debian Linux
Name:		dpkg
Version: 1.10.21
Release:	1mdk
License:	GPL
Group:		System/Configuration/Packaging
Url:		http://packages.debian.org/unstable/base/dpkg.html
Source0:	ftp://ftp.debian.org/debian/pool/main/d/dpkg/%{name}_%{version}.tar.bz2
Source1:	%{name}-pl-man-pages.tar.bz2
Patch0:		%{name}-no-debiandoc.patch.bz2
Patch2:		%{name}-input-files.patch.bz2
BuildRequires:	gettext-devel
BuildRequires:	zlib-devel
BuildRoot:	%_tmppath/%name-%version-root
Provides:	usineagaz = 0.1-0.beta1mdk

%define _requires_exceptions perl(controllib.pl)\\|perl(file)

%description
This package contains the programs dpkg which used to handle the installation
and removal of packages on a Debian system.

In order to unpack and build Debian source packages you will need
to install the developers' package `dpkg-dev' as well as this one.

dpkg-dev is not provided on your Mandrakelinux system.

%prep
%setup -q
%patch0 -p0
%patch2 -p0

%build
%configure --enable-shared --without-dselect --with-admindir=/var/lib/%{name}

# (misc) do not use %make, it seems it cannot be compiled cleanly
# a problem with -j 2
make docdir=%{_defaultdocdir}/%{name}-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_defaultdocdir}/dpkg

%makeinstall_std top_srcdir=`pwd`

gzip -9nf $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/*

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}
rm -f $RPM_BUILD_ROOT%{_mandir}/man8/update-alternatives*
rm -fr $RPM_BUILD_ROOT%_datadir/locale/en/
rm -fr $RPM_BUILD_ROOT%{_sysconfdir}/alternatives
rm -f $RPM_BUILD_ROOT%{_sbindir}/update-alternatives
rm -fr $RPM_BUILD_ROOT/usr/share/doc
find $RPM_BUILD_ROOT -name "md5sum*" -exec rm -f {} \;
# Glu !
rm -f $RPM_BUILD_ROOT%_mandir/pt_BR/man8/update-alternatives.8

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f dpkg.lang
%defattr(644,root,root,755)
%doc doc/database-structure.fig doc/internals.sgml
# %doc $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/*
%attr(755,root,root) %{_bindir}/822-date
%attr(755,root,root) %{_bindir}/dpkg*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/methods
%dir %{_libdir}/%{name}/parsechangelog
%dir %{_libdir}/%{name}/methods/disk
%dir %{_libdir}/%{name}/methods/floppy
%{_libdir}/%{name}/controllib.pl
%{_libdir}/%{name}/enoent
%attr(755,root,root) %{_libdir}/%{name}/mksplit
%dir %{_libdir}/%{name}/methods/*/desc*
%dir %{_libdir}/%{name}/methods/*/names
%attr(755,root,root) %dir %{_libdir}/%{name}/methods/*/install
%attr(755,root,root) %dir %{_libdir}/%{name}/methods/*/setup
%attr(755,root,root) %dir %{_libdir}/%{name}/methods/*/update
%attr(755,root,root) %dir %{_libdir}/%{name}/parsechangelog/debian
%attr(755,root,root) %{_sbindir}/*
%dir %_datadir/%name
%_datadir/%name/archtable
#%attr(755,root,root) %{_sbindir}/update-rc.d
%dir /var/lib/%{name}
/var/lib/%{name}/*

%dir %_sysconfdir/%{name}
%dir %_sysconfdir/%{name}/origins
%config(noreplace) %_sysconfdir/%{name}/origins/debian

%{_mandir}/man1/822-date.1*
%{_mandir}/man1/dpkg*
%{_mandir}/man5/*
%{_mandir}/man8/*
%lang(ja) %{_mandir}/ja/man?/*
%lang(pl) %{_mandir}/pl/man?/*
%lang(sv) %{_mandir}/sv/man?/*
%lang(fr) %{_mandir}/fr/man?/*
%lang(ru) %{_mandir}/ru/man?/*
%lang(es) %{_mandir}/es/man?/*
%lang(pt_BR) %{_mandir}/pt_BR/man?/*

%changelog

* Thu May 20 2004 Michael Scherer <misc@mandrake.org> 1.10.21-1mdk
- rpmbuildupdate aware
- New release 1.10.21

* Mon Apr 05 2004 Michael Scherer <misc@mandrake.org> 1.10.18-3mdk 
- remove invalid word

* Sat Mar 06 2004 Michael Scherer <misc@mandrake.org> 1.10.18-2mdk 
- fix unpackaged files

* Thu Dec 11 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.10.18-1mdk
- new release

* Mon Aug 25 2003 Michael Scherer <scherer.michael@free.fr> 1.10.10-5mdk 
- update description
- BuildRequires zlib-devel
- macros

* Sat Jul 12 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.10.10-4mdk
- fix DIRM error 

* Sat Jul 12 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.10.10-3mdk
- don't require perl(file)

* Mon Jul 07 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.10.10-2mdk
- fix requires

* Sun Jul 06 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.10.10-1mdk
- 1.10.10 

* Thu Dec 19 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.10.9-1mdk
- 1.10.9
- remove patch1,2,3
- rediff patch0
- new patch2
- fix unpackaged files

* Fri Mar 22 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.6.15-3mdk
- remove useless en translation
- add Url

* Fri Mar 22 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.6.15-2mdk
- remove conflict

* Fri Mar 22 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.6.15-1mdk
- initial package

